<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2024 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<configuration description="Config for unit tests instrumenting Sdk Sandbox audit process">
    <option name="config-descriptor:metadata" key="component" value="framework" />

    <target_preparer class="com.android.tradefed.targetprep.suite.SuiteApkInstaller">
        <option name="cleanup-apks" value="true" />
        <option name="test-file-name" value="SdkSandboxAuditTests.apk" />
    </target_preparer>

    <target_preparer class="com.android.tradefed.targetprep.RunCommandTargetPreparer">
        <option name="run-command" value="device_config set_sync_disabled_for_tests persistent" />
        <option name="run-command"
            value="device_config put adservices apply_sdk_sandbox_audit_restrictions true" />
        <option name="run-command"
            value="device_config put adservices apply_sdk_sandbox_next_restrictions false" />
        <option name="teardown-command"
            value="device_config delete adservices apply_sdk_sandbox_next_restrictions" />
        <option name="teardown-command"
            value="device_config delete adservices apply_sdk_sandbox_audit_restrictions" />
        <option name="teardown-command" value="device_config set_sync_disabled_for_tests none" />
    </target_preparer>

    <test class="com.android.tradefed.testtype.AndroidJUnitTest">
        <option name="package" value="com.android.sdksandbox.audit" />
        <option name="instrument-sdk-sandbox" value="true" />
    </test>

    <object type="module_controller"
        class="com.android.tradefed.testtype.suite.module.MainlineTestModuleController">
        <option name="mainline-module-package-name" value="com.google.android.adservices" />
    </object>
</configuration>
